<template>
  <div class="steps">
    <div
      class="step-box"
      v-for="(name, i) in titleList"
      :key="i"
      :class="getClass(i)"
    >
      <div class="head">
        <div class="num" v-if="activeIndex <= i">{{ i + 1 }}</div>
        <i v-else class="el-icon-circle-check"></i>
      </div>
      <div class="title">
        {{ name }}
      </div>
      <div class="line" v-if="i !== titleList.length - 1"></div>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {};
  },
  props: {
    titleList: Array,
    activeIndex: {
      type: Number,
      default: 0,
    },
  },
  computed: {},
  methods: {
    getClass(i) {
      if (this.activeIndex == i) {
        return "active-box";
      } else if (this.activeIndex > i) {
        return "done-box";
      } else {
        return "";
      }
    },
  },
};
</script>

<style lang="scss" scoped>
.steps {
  display: flex;
  justify-content: center;
  margin-bottom: 50px;
  .step-box.done-box {
    .el-icon-circle-check {
      font-size: 24px;
      color: #0064ff;
    }
    .title {
      color: #0064ff;
    }
    .line {
      height: 2px;
      background: #0064ff;
    }
  }
  .step-box.active-box {
    .title {
      color: #0064ff;
      font-weight: 600;
    }
    .head {
      .num {
        border: 1px solid #0064ff;
        color: #ffffff;
        background: #0064ff;
      }
    }
  }
  .step-box {
    display: flex;
    align-items: center;
    margin-right: 16px;
    .head {
      margin-right: 14px;
      .num {
        width: 24px;
        height: 24px;
        border: 1px solid #999999;
        border-radius: 24px;
        color: #999999;
        font-size: 16px;
        text-align: center;
        line-height: 24px;
      }
    }
    .title {
      margin-right: 16px;
      font-size: 16px;
      line-height: 24px;
      color: #999999;
    }
    .line {
      height: 1px;
      width: 148px;
      background: #e9ebee;
    }
  }
}
</style>